//Busca la posición de una URL dada

function buscarPosicion (sUrl)

{

	//Declaracion de Variable 

	var posicion	= 0;

	var encontrado	= 0;

	while (!encontrado && posicion<=enlaceMenuProfesionales.length)

	{

		if (enlaceMenuProfesionales[posicion] == sUrl)

		{

			encontrado= 1;

		}

		else 

		{

			posicion=posicion+1;

		}



	}

	

	if (!encontrado) return -1; 

	else			return posicion;

}





//Funcion que obtiene la posicion de la página padre, a partir de la posición

//de la página hija y de su nivel de profundidad

function obtenerPadre (posicion)

{

	//Declaracion de Variable 

	var i= posicion-1;

	var encontrado	= 0;



	while (!encontrado && i>=0)

	{

		if (nivelMenuProfesionales[i] == nivelMenuProfesionales[posicion]-1)

		{

			encontrado= 1;

		}

		else

		{

			i= i-1;

		}

	}



	return i;

}



//Función que devuelve la URL superior de la página actual, siempre que no esté dentro

//del array de literales del mapa web

function obtenerUrlSuperior (sUrl)

{

	//Obtenemos el nombre del fichero

	var sFileName= sUrl;

	var sUrlNew = "";

	while (sFileName.indexOf('http://www.msc.es/') != -1) sFileName = sFileName.substring(sFileName.indexOf('http://www.msc.es/')+1);



	if (sFileName != "home.htm") 

	{

			

          sUrlNew = sUrl.substring(0,sUrl.indexOf(sFileName)) + "home.htm";

	}

	else

	{

		    var aURL = sUrl.split('http://www.msc.es/');

			for (i=0;i<(aURL.length-2);i++)

			{

				sUrlNew += aURL[i] + "/";

			}

			sUrlNew += "home.htm";



	}

	return sUrlNew;

}



/* MODULO PRINCIPAL */



//Declaracion de variables

var sUrl		  = document.location.pathname	

var sFileName	  = sUrl;

var finMigaPan = 0;

var sMigaPan      = "";



//Obtenemos el nombre del fichero

while (sFileName.indexOf('http://www.msc.es/') != -1) sFileName = sFileName.substring(sFileName.indexOf('http://www.msc.es/')+1);



//Buscamos la posicion inicial

posicion = buscarPosicion(sUrl);



//Bucle que genere la MIGA DE PAN

while (!finMigaPan)

{



	//Si encontramos POSICION

	if (posicion != -1)

	{

		//Hemos llegado al principio del Bloque

		if (posicion==0)

		{

			//sMigaPan = "<a href='" + sInicio + "'>"+ sDescInicio + "</a> > " + "<a href='" + enlaceMenuProfesionales[posicion] + "'>" + literalMenuProfesionales[posicion] + "</a> > " + sMigaPan;



			finMigaPan = 1;

		}

		//No hemos llegado al principio del Bloque

		else

		{

			//Generamos la miga

			if (enlaceMenuProfesionales[posicion]!= document.location.pathname)

			{		

				sMigaPan = "<a href='" + enlaceMenuProfesionales[posicion] + "'>" +literalMenuProfesionales[posicion] + "</a> > " + sMigaPan;

			}



			//Obtenemos la url padre

			posicion = obtenerPadre(posicion);

		}

	}

	//No se encuentra la URL 

	else

	{

		//Obtenemos la URL superior

		sUrl=obtenerUrlSuperior(sUrl);



		//buscamos la posición de la nueva url

		posicion = buscarPosicion(sUrl);



		//Hemos llegado al final y no se ha encontrado

		if (sUrl=="home.htm")

		{

			finMigaPan=1;

		}

	}

}

//Escribimos el resultado

document.write('<DIV id="migas_pan">');

document.write(sMigaPan);

document.write('</DIV>');